---
title: List archives
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/listarchives/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/listarchives.png
---

# List archives

GET

/installs/{install_id}/archives

Select code sample

```sh
curl --request GET \
  --url 'https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/archives?limit=100&offset=100' \
  --header 'Authorization: Basic <credentials>'
```

-

Retrieves a paginated list of archives for a WordPress installation. Archives create downloadable zip files from backups.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**install_id**

required

string format: uuid

ID of install

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

### Query Parameters

**limit**

integer

default: 100 <= 100

(Optional) The number of records to return

#### Example

```json
100
```

**offset**

integer

0

(Optional) The first record of the result set to be retrieved

#### Example

```json
100
```

## Responses

### 200

Returns a list of `Archive` objects.

Media typeapplication/json

object

**previous**

Path to the previous page of results

string

nullable

**next**

Path to the next page of results

string

nullable

**count**

The total number of results

integer

**results**

Array\<object>

object

**id**

required

Unique identifier for the archive

string format: uuid

**backup**

required

object

**id**

Unique identifier of the backup this archive was created from

string format: uuid

**notification_emails**

Email addresses that will receive notifications about the archive operation

Array\<string>

**state**

required

Current state of the archive operation

string

Allowed values: requested in_progress completed aborted

**create_time**

Timestamp when the archive was created

string format: date-time

**start_time**

Timestamp when the archive operation started

string format: date-time

**complete_time**

Timestamp when the archive operation completed. This field is only populated when state is `completed`

string format: date-time

nullable

**abort_time**

Timestamp when the archive operation was aborted. This field is only populated when state is `aborted`

string format: date-time

nullable

**download_uri**

Download URL for the completed archive. This field is only populated when state is `completed`

string format: uri

nullable

#### Example

```json
{
  "previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0",
  "next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200",
  "count": 225,
  "results": [
    {
      "id": "a6d86d4b-0860-4e2c-870b-0aae34ecf085",
      "backup": {
        "id": "ac237e1c-3182-4c15-9a3f-6d58a57cbb44"
      },
      "state": "requested"
    }
  ]
}
```

### 400

Bad Request

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "Invalid request.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
